Page MenuHomePhabricator

MediaWiki 1.29 tarball comes with the wrong extensions - and misses some
Closed, ResolvedPublic

Description

The MediaWiki 1.29.0 tarball from https://releases.wikimedia.org/mediawiki/1.29/mediawiki-1.29.0.tar.gz does not contain the right extensions:

  • Extensions SimpleAntiSpam and Vector are part of the tarball, but should not be there.
  • Extensions PdfHandler and SpamBlacklist should be part of the tarball, but are missing.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 20 2017, 5:38 PM

Reedy wrote on IRC:

SimpleAntiSpam was there in 1.22 and removed in 1.23
Vector was removed in 1.23
Looks like a bug
I'm not sure what version of make-release was used
But the version in master has a correct extension list
https://github.com/wikimedia/mediawiki-tools-release/blob/master/make-release/make-release.yaml
It should've been the same as that
As the commits were merged well before
Could be some sort of dirty working copy
The version that should have been used is correct
That's not to say which version was used, nor that the results were correct

Change 366633 had a related patch set uploaded (by MacFan4000; owner: MacFan4000):
[mediawiki/core@REL1_29] Fix bundled extensions

https://gerrit.wikimedia.org/r/366633

MacFan4000 added a comment.EditedJul 21 2017, 1:46 PM

we must've used the make-wmf-branch-climate branch by mistake, which seems very likely considering that https://github.com/wikimedia/mediawiki-tools-release/blob/make-wmf-branch-climate/make-release/make-release.yaml has said issues.

demon added a subscriber: demon.Jul 25 2017, 1:21 AM

I did not use that branch. I didn't even know it existed.

Change 366633 merged by jenkins-bot:
[mediawiki/core@REL1_29] Fix bundled extensions

https://gerrit.wikimedia.org/r/366633

MacFan4000 closed this task as Resolved.Jul 25 2017, 1:51 AM

Was a new tarball released?

Legoktm reopened this task as Open.Aug 16 2017, 6:42 AM
demon added a comment.Aug 23 2017, 5:21 PM

Files uploaded to releases.wm.o, announcement pending.

demon closed this task as Resolved.Aug 23 2017, 5:42 PM